glhanoi(6)

NAME
glhanoi - OpenGL Towers of Hanoi

SYNOPSIS
glhanoi [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-count number] [-speed number] [-rotspeed number] [-wireframe] [-light] [-texture] [-fog] [-fps]

DESCRIPTION
Implementation of Towers of Hanoi in OpenGL

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

-speed number
    Speed of disk animation. Default: 12.0 er, units per second. Let's call them metres.

-rotspeed number
    Speed of disk animation. Default: 0.1 rads per second.

-count number
    Number of disks. Default: 7.

-wireframe | -no-wireframe
    Render in wireframe instead of solid.

-fog | -no-fog
    Render in fog.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

-light | -no-light
    Whether the scene is lit.

-texture | -no-texture
    Render with textures instead of solid.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2004 by Dave Atkinson. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Dave Atkinson.